# Run tests in check section
# Tests fails on these arches
%ifarch ppc ppc64 ppc64le s390x
%bcond_with check
%else
%bcond_without check
%endif

# https://github.com/pkg/term
%global goipath         github.com/pkg/term
%global commit          aa71e9d9e942418fbb97d80895dcea70efed297c

%global common_description %{expand:
Package term manages POSIX terminals. As POSIX terminals are connected to, or 
emulate, a UART, this package also provides control over the various UART and 
serial line parameters.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Manages POSIX terminals
# Detected licences
# - BSD 2-clause "Simplified" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(golang.org/x/sys/unix)

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Tue Mar 05 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190305gitaa71e9d
- First package for Fedora

